Bug 825788 - qemu does not recognize 64-bit CPU when booting a Fedora-Live 64-bit CD image
qemu does not recognize 64-bit CPU when booting a Fedora-Live 64-bit CD image
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 09:01 EDT by Peter H. Jones
Modified: 2013-01-09 07:02 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-10 07:47:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter H. Jones 2012-05-28 09:01:33 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. cd to a directory containg Fedora Live image
2.  for cpu in n270 athlon pentium3 pentium2 pentium coreduo kvm64 core2duo phenom qemu64; do  echo CPU $cpu; sleep 5; qemu -cpu $cpu -m 512 -cdrom Fedora-17-x86_64-Live-LXDE.iso; done
3. When Fedora boot screen appears, use TAB key to edit boot line to remove rhgb and quiet
4. Hit return to boot

Actual results:
Screen shows (Manually transcribed)
"Loading Loading vmlinuz0.........
Loading initrd0.img......ready
This kernel requires an x86_64 CPU, but only detected an i686 CPU.
Unable to boot, please use a kernel appropriate for your CPU.
"

Expected results:
Normal boot

Additional info:
'yum list qemu\*
gives: 
"Loaded plugins: langpacks, presto, refresh-packagekit
Installed Packages
qemu-common.x86_64                             2:0.15.1-4.fc16                         @/qemu-common-0.15.1-4.fc16.x86_64    
qemu-img.x86_64                                2:0.15.1-4.fc16                         @/qemu-img-0.15.1-4.fc16.x86_64       
qemu-kvm.x86_64                                2:0.15.1-4.fc16                         @/qemu-kvm-0.15.1-4.fc16.x86_64       
qemu-system-x86.x86_64                         2:0.15.1-4.fc16                         @/qemu-system-x86-0.15.1-4.fc16.x86_64
Available Packages
qemu.x86_64                                    2:0.15.1-4.fc16                         updates                               
qemu-guest-agent.x86_64                        2:0.15.1-4.fc16                         updates                               
qemu-kvm-tools.x86_64                          2:0.15.1-4.fc16                         updates                               
qemu-launcher.noarch                           1.7.4-7.fc12                            fedora                                
qemu-system-arm.x86_64                         2:0.15.1-4.fc16                         updates                               
qemu-system-cris.x86_64                        2:0.15.1-4.fc16                         updates                               
qemu-system-m68k.x86_64                        2:0.15.1-4.fc16                         updates                               
qemu-system-mips.x86_64                        2:0.15.1-4.fc16                         updates                               
qemu-system-sh4.x86_64                         2:0.15.1-4.fc16                         updates                               
qemu-user.x86_64                               2:0.15.1-4.fc16                         updates                               
"
Comment 1 Cole Robinson 2012-07-10 07:47:13 EDT
'qemu' is the i386 qemu binary. You need to use qemu-system-x86_64 or similar

Note You need to log in before you can comment on or make changes to this bug.